#!/bin/sh

# update_kernel.sh

# Unsere Kernels inclusive eigener Patches zaehlen wir simpel auch 1, 2, 3, 4... ;-)

#####################################################################
next_kernel_num=$1
next_boot_switch=$2
#####################################################################

echo "in update_kernel.sh ..."

old_img=/data/update/last_kernel${next_boot_switch}
lazy_kernel=$(cat lazy_kernel.txt)

if [ "$lazy_kernel" = 1 ] && diff kernel $old_img
then
	echo "lazy_kernel aktiviert und kernel stimmt mit bestehendem kernel auf der Ziel-Partition ueberein, daher wird der kernel nicht erneut geflasht!"
else
	cv_board=$(fw_printenv -n CV_BOARD)
	echo "cv_board=${cv_board}"
	if [ "$cv_board" = "CV_34_39_500B" ]
	then
		kernel=uImage.CV_34_39_500B
	elif [ "$cv_board" = "CV_34_39_500" ]
	then
		kernel=uImage.CV_34_39_500
	else
		kernel=uImage.CV_34_39_500A
	fi
	./write_kernel.sh $kernel $next_kernel_num $next_boot_switch
fi
